include ../Makefile.cfg

all : rdoc

clean :

distclean :
	-rm -r rdoc

install : 
	mkdir -p $(DESTDIR)$(DOCDIR)/voodoo
	cp COPYING LICENSE README language.html style.css \
           $(DESTDIR)$(DOCDIR)/voodoo
	if [ -d rdoc ]; then cp -r rdoc $(DESTDIR)$(DOCDIR)/voodoo; fi
	mkdir -p $(DESTDIR)$(MANDIR)
	cp -r man/* $(DESTDIR)$(MANDIR)

rdoc :
	cd ../lib && $(RDOC) -o ../doc/rdoc -m Voodoo \
	    -t 'Voodoo Code Generator API Documentation'

.PHONY : all clean distclean install rdoc
